/* ///////////////////////////////////////////////////////////////////////
 * File:		locks.h		
 *
 * Created:		08.03.21				
 * Updated:		08.05.05
 *
 * Brief: locks
 *
 * [<Home>]
 * Copyright (c) 2008-2020, Waruqi All rights reserved.
 * //////////////////////////////////////////////////////////////////// */
#ifndef EXTL_WIN_SYNCH_LOCKS_H
#define EXTL_WIN_SYNCH_LOCKS_H

#ifndef __cplusplus
#	error locks.h need be supported by c++.
#endif

/* ///////////////////////////////////////////////////////////////////////
 * Includes
 */
#include "critical_section_lock.h"
#include "mutex_lock.h"
#include "semaphore_lock.h"

/* //////////////////////////////////////////////////////////////////// */
#endif /* EXTL_WIN_SYNCH_LOCKS_H */
/* //////////////////////////////////////////////////////////////////// */
